Bug 319601 - gtk-gnash consumes all memory
gtk-gnash consumes all memory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 21:21 EDT by Chris Schanzle
Modified: 2008-04-17 10:34 EDT (History)
0 users

See Also:
Fixed In Version: 0.8.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 10:34:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2007-10-04 21:21:40 EDT
Description of problem:
I used Seamonkey seamonkey-1.1.3-2.fc7.x86_64 to visit:

http://www.chrysler.com/en/index.html?bid=1758115&adid=29470574&pid=12206054

Running "top" in another window shows gtk-gnash consuming all of virtual memory.
 System pages for several minutes, falls on face (oom doesn't kill the right
process).

Version-Release number of selected component (if applicable):
gnash-0.8.1-2.fc7.x86_64


How reproducible:
always on x86_64, not i386.

Additional info:

Catching this PID with gdb, here's a backtrace (sorry if this is considered too
big):

(gdb) bt
bt
#0  0x000000318a07000e in _int_free () from /lib64/libc.so.6
#1  0x00007fff6e03fa50 in ?? ()
#2  0x000000319467bcb2 in gnash::as_object::findProperty () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#3  0x000000319467d833 in gnash::as_object::get_member_default () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#4  0x000000319467aa59 in gnash::as_object::get_member () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#5  0x000000319467127d in gnash::as_environment::findLocal () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#6  0x0000003194671429 in gnash::as_environment::findLocal () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#7  0x0000003194674b0a in gnash::as_environment::get_variable_raw () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#8  0x0000003194675458 in gnash::as_environment::get_variable () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#9  0x00000031947a1344 in gnash::ActionExec::getVariable () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#10 0x000000319479cfd2 in gnash::SWF::SWFHandlers::ActionGetVariable () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#11 0x00000031947a05ef in gnash::ActionExec::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#12 0x00000031946c1081 in gnash::swf_function::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#13 0x00000031947a2e0b in gnash::call_method () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#14 0x00000031947961dc in gnash::SWF::SWFHandlers::ActionCallMethod () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#15 0x00000031947a05ef in gnash::ActionExec::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#16 0x00000031946c1081 in gnash::swf_function::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#17 0x00000031947a2e0b in gnash::call_method () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#18 0x00000031947961dc in gnash::SWF::SWFHandlers::ActionCallMethod () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#19 0x00000031947a05ef in gnash::ActionExec::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#20 0x00000031946c1081 in gnash::swf_function::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#21 0x00000031946797c4 in gnash::function_apply () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#22 0x000000319467a962 in gnash::builtin_function::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#23 0x00000031947a2e0b in gnash::call_method () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#24 0x00000031947961dc in gnash::SWF::SWFHandlers::ActionCallMethod () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#25 0x00000031947a05ef in gnash::ActionExec::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#26 0x00000031946c1081 in gnash::swf_function::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#27 0x00000031947a2e0b in gnash::call_method () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#28 0x0000003194755d2b in gnash::XML::onLoadEvent () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#29 0x00000031947564ee in gnash::XML::load () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#30 0x00000031947568f7 in __cxa_pure_virtual () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#31 0x000000319467a962 in gnash::builtin_function::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#32 0x00000031947a2e0b in gnash::call_method () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#33 0x00000031947961dc in gnash::SWF::SWFHandlers::ActionCallMethod () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#34 0x00000031947a05ef in gnash::ActionExec::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#35 0x00000031946c1081 in gnash::swf_function::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#36 0x00000031947a2e0b in gnash::call_method () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#37 0x00000031947961dc in gnash::SWF::SWFHandlers::ActionCallMethod () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#38 0x00000031947a05ef in gnash::ActionExec::operator() () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#39 0x00000031946a2baf in gnash::sprite_instance::execute_action () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#40 0x00000031946a2c37 in gnash::sprite_instance::execute_actions () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#41 0x00000031946a58d5 in gnash::sprite_instance::do_actions () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#42 0x00000031946a66f3 in gnash::sprite_instance::advance_sprite () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#43 0x000000319469a494 in gnash::movie_instance::advance () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#44 0x000000319469b3fd in gnash::movie_root::advanceAllLevels () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#45 0x000000319469c0b9 in gnash::movie_root::advance () from
/usr/lib64/gnash/libgnashserver-0.8.1.so
#46 0x000000000042c928 in gnash::Gui::advance_movie ()
#47 0x000000319042d72b in __cxa_pure_virtual () from /lib64/libglib-2.0.so.0
#48 0x000000319042d224 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#49 0x000000319043005d in __cxa_pure_virtual () from /lib64/libglib-2.0.so.0
#50 0x000000319043036a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#51 0x0000003191d2d783 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#52 0x0000000000430a49 in gnash::GtkGui::run ()
#53 0x000000000042e707 in gnash::Player::run ()
#54 0x000000000042aec4 in main ()
Comment 1 Chris Schanzle 2007-10-04 21:33:24 EDT
Sorry, my i386 test box was running an older gnash-0.8.0-1.fc7.i386.rpm and did
not have the problem.  Updating to gnash-0.8.1-5.f7.i386 caused the same problem
on i386, so it's not an x86_64 specific problem.

For what it's worth, 'yum update gnash' pulled in agg 2.5-1 and
gnash-plugin-0.8.1-5.f7.
Comment 2 Patrice Dumas 2008-04-06 06:40:37 EDT
gnash 0.8.2 will soon appear as an update. Could you please test if this issue
is still present?
Comment 3 Chris Schanzle 2008-04-16 21:33:29 EDT
Resolved.  Do I owe you a thanks or did we just wait long enough (6 months) for
the next upstream release?
Comment 4 Patrice Dumas 2008-04-17 10:34:07 EDT
It is fixed by the upstream release, so you should thank the gnash 
developers ;-). 

Note You need to log in before you can comment on or make changes to this bug.